Description

This is more of a bug that I just discovered.  When adding a note, if you use brackets i.e. "(" and ")",

Redmine seems to remove them once you click Add.

History

#1 - 2007-08-27 14:40 - Jean-Philippe Lang

After a few tests, I can reproduce.

Could you give the exact string that you type in your issue note

?

#2 - 2007-08-27 14:54 - Neil Rodrigues

Sure.  I typed in:

"Hey Austin,

You should just stick with 16-bit wav, and only deliver an

*.ogg for when the file is ready to be dropped in-game

(Torque can't play *.mp3 files, they have to be *.ogg).  The

24-bit wav you can keep on your machine.

Neil"

And it seemed to remove the ( and ) from the note... I'm

pretty sure I didn't delete those manually.

#3 - 2007-08-28 12:37 - Jean-Philippe Lang

I made a quick test and nothing was removed from the note.

I can't see why the brackets would have been removed.

Are you able to reproduce this bug ?

#4 - 2007-08-28 12:43 - Neil Rodrigues

Hello,

For some reason I can't reproduce the bug.  The brackets are

showing up fine...  Oh well, thanks for looking into it anyway.

#5 - 2007-08-28 12:51 - Jean-Philippe Lang

I close this bug. If it happens again, just reopen it.

#6 - 2008-10-09 08:52 - David Holm

- Status changed from Closed to Reopened

We are having the same problem with redmine 0.7.3. It's running on a SLES 10 server with Ruby 1.8.6 and rails installed from rubygems 1.3.0. We

started out importing our existing database from Mantis and those bug reports all had square brackets removed. The same problem happens when I

try to use them in notes.

I've used regexes in some feature requests and all the character classes have the brackets removed, i.e. ":digit:+" became ":digit:+".

#7 - 2008-10-09 08:54 - David Holm
https://www.redmine.org/projects/redmine/wiki/Digit


David Holm wrote:

We are having the same problem with redmine 0.7.3. It's running on a SLES 10 server with Ruby 1.8.6 and rails installed from rubygems 1.3.0.

We started out importing our existing database from Mantis and those bug reports all had square brackets removed. The same problem happens

when I try to use them in notes.

I've used regexes in some feature requests and all the character classes have the brackets removed, i.e. ":digit:+" became ":digit:+".

 Educated guess, the Wiki function pwns the brackets? :)

#8 - 2008-10-09 09:12 - David Holm

I ended up using &#91; for [ and &#93; for ] which produces the result I expected.

#9 - 2009-01-18 12:59 - Jean-Philippe Lang

- Status changed from Reopened to Closed

[ [ and ] ] (with no spaces) are used for wiki links.
